#!/usr/bin/env ansible-playbook
---
# This playbooks runs all playbooks
# It's a good tool for lazy administrators that just want to check that
# current running configuration matches Ansible.

# Core playboot to have minimal configuration
- import_playbook: plays/root.yml

# Common configuration
- import_playbook: plays/mail.yml
- import_playbook: plays/nfs.yml
#- import_playbook: plays/logs.yml  TODO: rsyncd
- import_playbook: plays/backup.yml  # import borgbackup_client/server.yml
# - import_playbook: plays/network-interfaces.yml  TODO: check this paybook
- import_playbook: plays/monitoring.yml

# Services that only apply to a subset of server
- import_playbook: plays/cas.yml
- import_playbook: plays/certbot.yml
- import_playbook: plays/dhcp.yml
- import_playbook: plays/dns.yml
- import_playbook: plays/dovecot.yml
- import_playbook: plays/ethercalc.yml
- import_playbook: plays/etherpad.yml
- import_playbook: plays/firewall.yml
- import_playbook: plays/framadate.yml
- import_playbook: plays/freeradius.yml
- import_playbook: plays/generate_documentation.yml
- import_playbook: plays/gitlab.yml
- import_playbook: plays/home.yml
- import_playbook: plays/horde.yml
- import_playbook: plays/keepalived.yml
- import_playbook: plays/mailman.yml
- import_playbook: plays/mirror.yml
- import_playbook: plays/moinmoin.yml
- import_playbook: plays/nginx_rtmp.yml
- import_playbook: plays/ntp.yml
- import_playbook: plays/owncloud.yml
- import_playbook: plays/postfix.yml
- import_playbook: plays/postgresql.yml
- import_playbook: plays/re2o.yml
- import_playbook: plays/reverse-proxy.yml
- import_playbook: plays/roundcube.yml
- import_playbook: plays/ssh_known_hosts.yml
- import_playbook: plays/tv.yml
- import_playbook: plays/unifi.yml
- import_playbook: plays/wireguard.yml
- import_playbook: plays/zamok.yml
